List Accounts

List found accounts from your top account list, paginated.

Returns a paginated list of found accounts from the workspace's top account list. Only accounts whose enrichment resolved a company record (status: found) are included. Accounts that could not be matched are available at Not-found accounts. Pagination is controlled via query parameters. Pagination metadata is available both in the response body and in response headers.

List accounts

GET/api/v2/top-account-list/accounts

Query parameters

ParameterTypeRequiredDefaultDescription
pageintegerNo1Page number, starting at 1.
page_sizeintegerNo25Number of accounts per page.

Response headers

HeaderDescription
X-Total-CountTotal number of accounts.
X-PageCurrent page number.
X-Page-SizeNumber of accounts per page.
X-Page-CountTotal number of pages.

Example request

curl "https://api.getsillage.com/api/v2/top-account-list/accounts?page=1&page_size=25" \
  -H "Authorization: Bearer $SILLAGE_API_KEY"
const response = await fetch(
  'https://api.getsillage.com/api/v2/top-account-list/accounts?page=1&page_size=25',
  {
    headers: {
      Authorization: `Bearer ${process.env.SILLAGE_API_KEY}`,
    },
  },
)

const result = await response.json()
import { request } from 'node:https'

const req = request(
  new URL(
    'https://api.getsillage.com/api/v2/top-account-list/accounts?page=1&page_size=25',
  ),
  {
    headers: {
      Authorization: `Bearer ${process.env.SILLAGE_API_KEY}`,
    },
  },
  (res) => {
    let data = ''
    res.on('data', (chunk) => {
      data += chunk
    })
    res.on('end', () => {
      console.log(JSON.parse(data))
    })
  },
)

req.end()
import os
import requests

response = requests.get(
    "https://api.getsillage.com/api/v2/top-account-list/accounts",
    params={"page": 1, "page_size": 25},
    headers={"Authorization": f"Bearer {os.environ['SILLAGE_API_KEY']}"},
    timeout=30,
)
response.raise_for_status()
result = response.json()

Example response

{
  "data": [
    {
      "id": 4201,
      "company_id": 4201,
      "company": {
        "name": "Acme",
        "domain": "acme.com",
        "linkedin_url": "https://www.linkedin.com/company/acme",
        "linkedin_handle": "acme",
        "logo_url": "https://...",
        "status": "found"
      },
      "imported_at": "2026-06-12T08:30:00.000Z"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "page_size": 25,
      "page_count": 4,
      "total": 87
    }
  }
}

Response fields

FieldTypeDescription
dataarrayPaginated list of enriched accounts, shaped as shown in the example response above.
meta.pagination.pageintegerCurrent page number.
meta.pagination.page_sizeintegerAccounts per page.
meta.pagination.page_countintegerTotal number of pages.
meta.pagination.totalintegerTotal number of accounts.

On this page